Package ru.bitel.bgbilling.kernel.contract.status.common.bean

# Class ContractStatus

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.status.common.bean.ContractStatus

All Implemented Interfaces:
  `Serializable`, `Idable`

Direct Known Subclasses:
  `ContractStatus`

public class ContractStatus extends Id

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractStatus.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractStatus()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractStatus.Builder`
  `builder()`
  `ContractStatus`
  `clone()`
  Клонирование статуса.
  `static ContractStatus`
  `fromJson(org.json.JSONObject json)`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getObjectId()`
  `int`
  `getStatus()`
  `ContractStatus`
  `setComment(String comment)`
  `ContractStatus`
  `setContractId(int contractId)`
  `ContractStatus`
  `setDateFrom(Date dateFrom)`
  `ContractStatus`
  `setDateTo(Date dateTo)`
  `ContractStatus`
  `setObjectId(int objectId)`
  `ContractStatus`
  `setStatus(int status)`
  `org.json.JSONObject`
  `toJson()`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractStatus

    public ContractStatus()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### setComment

    public ContractStatus setComment(String comment)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public ContractStatus setContractId(int contractId)

  - ### getObjectId

    public int getObjectId()

  - ### setObjectId

    public ContractStatus setObjectId(int objectId)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public ContractStatus setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public ContractStatus setDateTo(Date dateTo)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public ContractStatus setStatus(int status)

  - ### clone

    public ContractStatus clone()
    Клонирование статуса. Копируются все поля, кроме id, которое устанавливается в ноль.
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`

  - ### toJson

    public org.json.JSONObject toJson()

  - ### fromJson

    public static ContractStatus fromJson(org.json.JSONObject json)

  - ### builder

    public static ContractStatus.Builder builder()